function vexalarm_initialize(reload)
	RegisterAddonMessagePrefix("VEXALARM_SP")
	RegisterAddonMessagePrefix("VEXALARM_SP_RE")
	
	vexalarm_Loader_LoadParamters(false)
	vexalarm_Design_buildFrames()
	vexalarm_Proclaims_checkShow()
	
	--vexalarm_Testmode_nonAniFuncs()
	
	if not(reload) then
		vexalarm_optionpanel = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm", "Vex Alarm")
		vexalarm_optionpanel_frame_manager = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Frame Manager", "Frame Manager", "Vex Alarm")
		vexalarm_optionpanel_frame_content = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Frame Content", "Frame Content", "Vex Alarm")
		vexalarm_optionpanel_msgcontent = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Frame Messages", "Frame Messages", "Vex Alarm")
		vexalarm_optionpanel_rw = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Raid Warning Settings", "RW Settings" , "Vex Alarm")
		vexalarm_optionpanel_rwmsgcontent = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Raid Warning Messages", "RW Messages" , "Vex Alarm")
		vexalarm_optionpanel_spells = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Spells", "Spells", "Vex Alarm")
		vexalarm_optionpanel_spellprofiles = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Spellprofiles", "Spell-Profiles", "Vex Alarm")
		vexalarm_optionpanel_profiles = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Profiles", "Profiles" , "Vex Alarm")
		vexalarm_optionpanel_profiles = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm Defaults", "Defaults" , "Vex Alarm")
	end
	
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm", vexalarm.panel_main(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Frame Manager", vexalarm.panel_frame_settings(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Frame Content", vexalarm.panel_frameContent(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Frame Messages", vexalarm.panel_msgcontent(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Raid Warning Settings", vexalarm.panel_rw(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Raid Warning Messages", vexalarm.panel_rwcontent(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Spells", vexalarm.panel_spells(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Spellprofiles", vexalarm.panel_spellprofiles(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Profiles", vexalarm.panel_profiles(), {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm Defaults", vexalarm.panel_defaultprofile(), {})
	
	
	
	vexalarm.inRaid = UnitInRaid("player")
	
	if not(reload) then 
		for i=1,40 do
			if i<10 then	k = "0"..i
			else			k = ""..i end
			vexalarm.LSM:Register("sound", k, "Interface\\AddOns\\vexalarm\\sounds\\button_"..i..".ogg")
		end
		vexalarm.LSM:Register("border", "Solid", "Interface\\Buttons\\WHITE8X8")
		vexalarm.LSM:Register("font", "Emblem", "Interface\\AddOns\\vexalarm\\fonts\\EMBLEM.tff")
	end
end