function vexalarm_dec2hex(r,g,b)
	if r == nil then r = 0 end
	if g == nil then g = 0 end
	if b == nil then b = 0 end
    return string.format("%02x%02x%02x", r*250, g*250, b*250)
end

function vexalarm_CopyTable(settings)
	local copy = {}
	for k, v in pairs(settings) do
		if type(v) == "table" then  copy[k] = vexalarm_CopyTable(v)
		else						copy[k] = v end
	end
	return copy
end

function vexalarm_ClassColorHex(class)
	if RAID_CLASS_COLORS[class] ~= nil then
		return vexpower_dec2hex( RAID_CLASS_COLORS[class]["r"], RAID_CLASS_COLORS[class]["g"], RAID_CLASS_COLORS[class]["b"])
	else
		return "FFFFFF"
	end
end