SLASH_VEXALARM1 = "/vexalarm"
SLASH_VEXALARM2 = "/vexa"
function SlashCmdList.VEXALARM(msg, editbox)
	local command, args = msg:match("^(%S*)%s*(.-)$")
	
	if command == "" or command == "option" or command == "options" or command == "config" or command == "configs" then
		InterfaceOptionsFrame_OpenToCategory(vexalarm_optionpanel)
	elseif command == "profile" then
		vexalarm_optionTab_SpellProfiles_load(args, true)
	elseif command == "defaults" then
		print("|CFFFF7D0AVex Alarm|r - Defaults loaded")
		vexalarm_Loader_LoadParamters(true)
	elseif command == "test" then
	elseif command == "enable" then
		vexalarm_data["enable"] = not(vexalarm_data["enable"])
		if vexalarm_data["enable"] then
			print("|CFFFF7D0AVex Alarm|r - Addon enabled")
		else
			print("|CFFFF7D0AVex Alarm|r - Addon diabled")
		end
		vexalarm_initialize(true)
	elseif command == "wrongspells" then
		vexdebugs.print(vexalarm.wrongspells, "vexalarm.wrongspells")
	elseif command == "rw" then
		vexalarm_data["rw"]["activate"] = not(vexalarm_data["rw"]["activate"])
		if vexalarm_data["rw"]["activate"] then
			print("|CFFFF7D0AVex Alarm|r - Raid Warnings activated")
		else
			print("|CFFFF7D0AVex Alarm|r - Raid Warnings deactivated")
		end
		vexalarm_initialize(true)
	else
		print ("|CFFFF7D0AVex Alarm|r cmd list")
		print ("|CFFFF7D0A/vexalarm|r and |CFFFF7D0A/vexa|r can be used")
		print ("|CFFFF7D0A/vexalarm|r option/options/config/configs - opens the option frame")
		print ("|CFFFF7D0A/vexalarm|r defaults - resets the addon to defaults")
		print ("|CFFFF7D0A/vexalarm|r profile X - loads the spell-profil with the name 'X'")
		print ("|CFFFF7D0A/vexalarm|r enable - enables/disables the addon")
		print ("|CFFFF7D0A/vexalarm|r rw - enables/disables raid warnings")
	end
end