
function vexalarm_Totem_new(alarmtype, spell, spellid, caster, target, frame)
	vexalarm.totemsPlaced[frame][spell]= {time(), {alarmtype, spellid, caster, target}}
end

function vexalarm_Totem_RW_new(alarmtype, spell, spellid, caster, target)
	vexalarm.totemsPlaced_RW[spell]= {time(), {alarmtype, spellid, caster, target}}
end

function vexalarm_Totem_cleanRegistry()
	for frame in pairs(vexalarm.totemsPlaced) do
		for key,val in pairs(vexalarm.totemsPlaced[frame]) do
			if val[1] + 360 < time() then vexalarm_Totem_delete(frame, key) end
		end
	end
	
	for key, val in pairs(vexalarm.totemsPlaced_RW) do
		if val[1] + 360 < time() then vexalarm_Totem_RW_Delete(key) end
	end
end

function vexalarm_Totem_find(frame, spell)
	local returnvalue = false
	if vexalarm.totemsPlaced[frame][spell] ~= nil then
		returnvalue = true
	end
	return returnvalue
end

function vexalarm_Totem_RW_find(spell)
	local returnvalue = false
	if vexalarm.totemsPlaced_RW[spell] ~= nil then
		returnvalue = true
	end
	return returnvalue
end

function vexalarm_Totem_delete(frame, spell)
	vexalarm.totemsPlaced[frame][spell]= nil
end

function vexalarm_Totem_RW_Delete(spell)
	vexalarm.totemsPlaced_RW[spell]= nil
end

function vexalarm_Totem_inactiveHandler(spellname)
	for key in pairs(vexalarm.frames) do
		if vexalarm_Totem_find(key, spellname) then
			local alarmtype = vexalarm.totemsPlaced[key][spellname][2][1]
			local spellid = vexalarm.totemsPlaced[key][spellname][2][2]
			local caster = vexalarm.totemsPlaced[key][spellname][2][3]
			local target = vexalarm.totemsPlaced[key][spellname][2][4]
			
			vexalarm_Proclaims_proclaim(alarmtype, spellname, spellid, caster, target, false, key)
			vexalarm_Totem_delete(key, spellname)
		end
	end
	
	if vexalarm_Totem_RW_find(spellname) then
		local alarmtype = vexalarm.totemsPlaced_RW[spellname][2][1]
		local spellid = vexalarm.totemsPlaced_RW[spellname][2][2]
		local caster = vexalarm.totemsPlaced_RW[spellname][2][3]
		local target = vexalarm.totemsPlaced_RW[spellname][2][4]
		vexalarm_RW_proclaim(alarmtype, spellname, spellid, caster, target, false)
		vexalarm_Totem_RW_Delete(spellname)
	end
end