function vexalarm.panel_rw()
	return {
		type = "group",
		order= 5,
		args = {
			grpallow = {
				name = "General Settings",
				order=1, type ="group", dialogInline = true,
				args = {
					activate = {
						name = "Activate message output in channels",
						order=10, type = "toggle", width="double",
						set = function(self,key) vexalarm_data["rw"]["activate"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["activate"] end,
						},
					},
				},
			frame_space1 = {name ="\n", type = "description", order=2},
			
			settings = {
				name = " ",
				order=3, type ="group", dialogInline = true,
				args = {
					chattype = {
						name = "Output channel",
						order=1, type = "select", style = "dropdown",
						values = {
							["CHANNEL"]="Custom Channel",
							["GUILD"]="Guild chat",
							["OFFICER"]="Officer chat",
							["PARTY"]="Party chat",
							["RAID"]="Raid chat",
							["RAID_WARNING"]="Raid Warning",
							["SAY"]="Say",
							["YELL"]="Yell"},
						set = function(self,key) vexalarm_data["rw"]["chattype"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["chattype"] end,
						},
					channel = {
						name = "Number of the custom channel",
						order=2, type = "input", multiline = false,
						disabled = vexalarm_data["rw"]["chattype"]~="CHANNEL",
						set = function(self,key) vexalarm_data["rw"]["channel"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["channel"] end,
						},
					channeloverride = {
						name = "Post a 'Raid Warning' when in a raidgrp instead of the channel",
						order=11, type = "toggle", width="full",
						set = function(self,key) vexalarm_data["rw"]["channeloverride"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["channeloverride"] end,
						},
					frame_space2 = {name ="\n", type = "description", order=20},	
					spelllink = {
						name = "Forbid spell-links",
						order=21, type = "toggle", width="full",
						set = function(self,key) vexalarm_data["rw"]["forbidspelllink"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["forbidspelllink"] end,
						},
					spelllinkrw = {
						name = "Only forbid spell-links when posting a raid warning",
						order=22, type = "toggle", width="full",
						disabled = vexalarm_data["rw"]["forbidspelllink"],
						set = function(self,key) vexalarm_data["rw"]["forbidspelllinkrw"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["forbidspelllinkrw"] end,
						},
					frame_space3 = {name ="\n", type = "description", order=30},
					activeOnly = {
						name = "Only show active Messages (against spam)",
						order=31, type = "toggle", width="double",
						set = function(self,key) vexalarm_data["rw"]["onlyActivate"] = key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["onlyActivate"] end,
						},
					frame_space4 = {name ="\n", type = "description", order=40},
					sp = {
						name = "Use a spell-profile for spellchecks, instead of the current settings",
						order=41, type = "toggle", width="full",
						set = function(self,key) vexalarm_data["rw"]["spelldata"]["useprofile"]=key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["spelldata"]["useprofile"] end,
						},
					rwprofile = {
						name = "Existing spell-profiles",
						order=42, type = "select", style = "dropdown", width="double",
						values = vexalarm_optionTab_SpellProfiles_getList(false, true),
						disabled = not(vexalarm_data["rw"]["spelldata"]["useprofile"]),
						set = function(self,key) vexalarm_data["rw"]["spelldata"]["spellprofile"] = key vexalarm_initialize(true) end,
						get = function() return vexalarm_data["rw"]["spelldata"]["spellprofile"] end,
						},
					},
				},
			}
		}
end