-- Props to Treeston for this function !		http://www.mmo-champion.com/threads/932005-Get-spell-description-via-spell-ID?p=12117176
local scanTip = CreateFrame("GameTooltip", "CBMTSpellLoggerSpellScanTooltip", UIParent, "GameTooltipTemplate")
local scanLine
local function GetSpellTooltipText(spellID)
	scanTip:SetOwner(UIParent, "ANCHOR_NONE")
	scanTip:SetSpellByID(spellID)
	scanLine = CBMTSpellLoggerSpellScanTooltipTextLeft3
	local t = scanLine:GetText()
	if (not t) then return end
	if (t == SPELL_CAST_TIME_INSTANT_NO_MANA) or (t:find(SPELL_CAST_TIME_SEC:gsub("%%%.3g", "%d+"))) then
		scanLine = CBMTSpellLoggerSpellScanTooltipTextLeft4
	end
	local r=scanLine:GetText():match("[ ]*(.+)")
	scanTip:Hide()
	return r
end

vexalarm_SpellWindow_spellid = 0
function vexalarm_SpellWindow_toggle(close, spellid, class, classstring, spelltype)
	if not(close) and (vexalarm_SpellWindow_spellid ~= spellid or not(vexalarm_spellWindow:IsShown())) then
		--Frame
		vexalarm_SpellWindow_spellid = spellid
		
		if vexalarm_spellWindow == nil then
			vexalarm_spellWindow = CreateFrame("Frame", nil, InterfaceOptionsFramePanelContainer)
		
			vexalarm_spellWindow:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
			vexalarm_spellWindow:SetBackdropColor(0.3, 0.3, 0.3, 0.8)
			vexalarm_spellWindow:SetBackdropBorderColor(0,0,0,1)
			vexalarm_spellWindow:SetFrameStrata("TOOLTIP")
			
			vexalarm_spellWindow:RegisterForDrag("LeftButton")
			vexalarm_spellWindow:SetScript("OnDragStart", function ()
				vexalarm_spellWindow:StartMoving()
				end)
			vexalarm_spellWindow:SetScript("OnDragStop", function (self)
				self:StopMovingOrSizing()
				end)
			vexalarm_spellWindow:EnableMouse(true)
			vexalarm_spellWindow:SetMovable(true)
			vexalarm_spellWindow:ClearAllPoints()
			vexalarm_spellWindow:SetPoint("TOPLEFT", InterfaceOptionsFramePanelContainer, "TOPRIGHT", 0, 0)
			vexalarm_spellWindow:Show()
			
			
			--FontString
			vexalarm_spellWindowText = vexalarm_spellWindow:CreateFontString("vexalarm_spellWindowText", "OVERLAY", "GameFontNormal")
			vexalarm_spellWindowText:ClearAllPoints()
			vexalarm_spellWindowText:SetPoint("TOPLEFT", vexalarm_spellWindow, "TOPLEFT", 5, -5)
			vexalarm_spellWindowText:SetWidth(200)
			vexalarm_spellWindowText:SetTextColor(1, 1, 1, 1)
			vexalarm_spellWindowText:SetFont(vexalarm.LSM:Fetch("font", "Friz Quadrata TT"), 11)
			vexalarm_spellWindowText:SetJustifyH("LEFT")
			
			--CloseButton
			vexalarm_spellWindowButton = CreateFrame("Button", "vexalarm_spellWindowButton", vexalarm_spellWindow, "UIPanelButtonTemplate")
			vexalarm_spellWindowButton:SetWidth(50)
			vexalarm_spellWindowButton:SetHeight(20)
			vexalarm_spellWindowButton:SetScale(0.7)
			vexalarm_spellWindowButton:SetPoint("TOPRIGHT", vexalarm_spellWindow, "TOPRIGHT", -6, -5)
			vexalarm_spellWindowButton:SetText("Close")
			vexalarm_spellWindowButton:SetScript("OnClick", function () vexalarm_SpellWindow_toggle(true, spellid) end)
		end
		
		vexalarm_spellWindowText:SetText("|CFFFF7D0A"..select(1, GetSpellInfo(spellid)).."|r\nClass: |CFF"..vexalarm_ClassColorHex(classstring)..class.."|r\nSpelltype: "..spelltype.."\n\n"..GetSpellTooltipText(spellid))
		
		vexalarm_spellWindow:SetWidth(vexalarm_spellWindowText:GetWidth()+10)
		vexalarm_spellWindow:SetHeight(vexalarm_spellWindowText:GetHeight()+10)
		
		if not(vexalarm_spellWindow:IsShown()) then
			vexalarm_spellWindow:ClearAllPoints()
			vexalarm_spellWindow:SetPoint("TOPLEFT", InterfaceOptionsFramePanelContainer, "TOPRIGHT", 0, 0)
			vexalarm_spellWindow:Show()
		end
	else
		vexalarm_spellWindow:Hide()
	end
end