local vexalarm_TagWindows_text = "You can use the following tags.\n\n'Specific colored' means that you can choose the color it is displayed in.\nGo to 'Frame Manager' 'Outputs' to adjus the color.\n\nCastername:\n|CFFFF7D0A[caster]|r uncolored, |CFFFF7D0A[caster_sc]|r specific colored, |CFFFF7D0A[caster_cc]|r classcolored\n\nTargetname:\n|CFFFF7D0A[target]|r uncolored, |CFFFF7D0A[target_sc]|r specific colored, |CFFFF7D0A[target_cc]|r classcolored\nTarget tags are only usable for 'buffs' and 'casts with targets'!\n\nSpellname:\n|CFFFF7D0A[spell]|r uncolored, |CFFFF7D0A[spell_sc]|r specific colored, |CFFFF7D0A[spell_cc]|r classcolored\n\nstatus:\n|CFFFF7D0A[status]|r uncolored, |CFFFF7D0A[status_sc]|r specific colored"
local vexalarm_TagWindows_text_rw = "You can use the following tags.\n\nYou can use the following tags to parse information in the messages\n\nCastername: |CFFFF7D0A[caster]|r \n\nTargetname: |CFFFF7D0A[target]|r \nTarget tags are only usable for 'buffs' and 'casts with targets'!\n\nSpellname: |CFFFF7D0A[spell]|r \n\nstatus: |CFFFF7D0A[status]|r\n\nDue to Blizzard's chat message restrictions some special characters\nin messages can cause errors!"

function vexalarm_TagWindows_toggle(rw)
	if not(vexalarm.tagWindow) then
		--Frame
		if vexalarm_tagWindow == nil then
			vexalarm_tagWindow = CreateFrame("Frame", nil, InterfaceOptionsFramePanelContainer)
		
			vexalarm_tagWindow:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
			vexalarm_tagWindow:SetBackdropColor(0.3, 0.3, 0.3, 0.8)
			vexalarm_tagWindow:SetBackdropBorderColor(0,0,0,1)
			vexalarm_tagWindow:SetFrameStrata("TOOLTIP")
			
			vexalarm_tagWindow:RegisterForDrag("LeftButton")
			vexalarm_tagWindow:SetScript("OnDragStart", function ()
				vexalarm_tagWindow:StartMoving()
				end)
			vexalarm_tagWindow:SetScript("OnDragStop", function (self)
				self:StopMovingOrSizing()
				end)
			vexalarm_tagWindow:EnableMouse(true)
			vexalarm_tagWindow:SetMovable(true)
			
			
			--FontString
			vexalarm_tagWindowText = vexalarm_tagWindow:CreateFontString("vexalarm_tagWindowText", "OVERLAY", "GameFontNormal")
			vexalarm_tagWindowText:ClearAllPoints()
			vexalarm_tagWindowText:SetPoint("TOPLEFT", vexalarm_tagWindow, "TOPLEFT", 5, -5)
			vexalarm_tagWindowText:SetTextColor(1, 1, 1, 1)
			vexalarm_tagWindowText:SetFont(vexalarm.LSM:Fetch("font", "Friz Quadrata TT"), 10)
			vexalarm_tagWindowText:SetJustifyH("LEFT")
			
			--CloseButton
			vexalarm_tagWindowButton = CreateFrame("Button", "vexalarm_tagWindowButton", vexalarm_tagWindow, "UIPanelButtonTemplate")
			vexalarm_tagWindowButton:SetWidth(50)
			vexalarm_tagWindowButton:SetHeight(20)
			vexalarm_tagWindowButton:SetScale(0.7)
			vexalarm_tagWindowButton:SetPoint("TOPRIGHT", vexalarm_tagWindow, "TOPRIGHT", -6, -5)
			vexalarm_tagWindowButton:SetText("Close")
			vexalarm_tagWindowButton:SetScript("OnClick", function () vexalarm_TagWindows_toggle() end)
		end
		
		if rw then
			vexalarm_tagWindowText:SetText(vexalarm_TagWindows_text_rw)
		else
			vexalarm_tagWindowText:SetText(vexalarm_TagWindows_text)
		end
		
		vexalarm_tagWindow:SetWidth(vexalarm_tagWindowText:GetWidth()+10)
		vexalarm_tagWindow:SetHeight(vexalarm_tagWindowText:GetHeight()+10)
		vexalarm_tagWindow:ClearAllPoints()
		vexalarm_tagWindow:SetPoint("TOPLEFT", InterfaceOptionsFramePanelContainer, "TOPRIGHT", 0, 0)
		vexalarm_tagWindow:Show()
		vexalarm.tagWindow = true
	else
		vexalarm_tagWindow:Hide()
		vexalarm.tagWindow = false
	end
end